Subject: [PATCH v8 02/21] acpi: fix acpi_os_ioremap for arm64

From: [email-masked] (Timur Tabi)
Date: Wed, 04 Feb 2015 10:16:34 -0600

On 02/04/2015 10:08 AM, Mark Salter wrote:
> acpi_os_remap() is used to map ACPI tables. These tables may be in ram
> which are already included in the kernel's linear RAM mapping. So we
> need ioremap_cache to avoid two mappings to the same physical page
> having different caching attributes.

Would it be possible to modify ioremap() so that it can tell whether the 
memory is already mapped in some way, and then use a compatible remapping?

-- 
Qualcomm Innovation Center, Inc.
The Qualcomm Innovation Center, Inc. is a member of the
Code Aurora Forum, a Linux Foundation Collaborative Project.